Skip to main content

List Projects

GET https://api.squasher.ai/v1/projects
Returns all projects accessible with the current API key.

Response

[
  {
    "id": "660e8400-e29b-41d4-a716-446655440000",
    "name": "My Next.js App",
    "slug": "my-nextjs-app",
    "platform": "nextjs",
    "framework": "Next.js",
    "team_id": "770e8400-e29b-41d4-a716-446655440000",
    "created_at": "2024-01-10T12:00:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
]

Get Project

GET https://api.squasher.ai/v1/projects/{project_id}
Returns details for a single project.

Response

Same shape as a single item in the list response. Returns 404 if the project doesn’t exist or the API key doesn’t have access.

Project Fields

FieldTypeDescription
iduuidUnique project ID
namestringDisplay name
slugstringURL-friendly slug
platformstringPlatform type (e.g. nextjs, node, vercel-drain)
frameworkstringFramework name
team_iduuidTeam this project belongs to
created_atdatetimeCreation timestamp
updated_atdatetimeLast update timestamp

Plans

GET https://api.squasher.ai/v1/billing/plans
Returns the list of available plans. No authentication required.

Response

[
  {
    "id": "free",
    "name": "Free",
    "price_monthly": 0,
    "event_limit": 5000,
    "features": ["AI triage on every error", "1 project", "7-day retention", "Email alerts"]
  },
  {
    "id": "pro",
    "name": "Pro",
    "price_monthly": 19,
    "event_limit": 50000,
    "features": ["AI triage on every error", "5 projects", "30-day retention", "Slack + Discord alerts", "Vercel log drain"]
  },
  {
    "id": "team",
    "name": "Team",
    "price_monthly": 49,
    "event_limit": 250000,
    "features": ["AI triage on every error", "Unlimited projects", "90-day retention", "Auto-fix PRs", "All log drains", "GitHub integration"]
  },
  {
    "id": "scale",
    "name": "Scale",
    "price_monthly": 149,
    "event_limit": 2000000,
    "features": ["Everything in Team", "1-year retention", "Priority support", "SSO", "Custom integrations"]
  }
]